<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="customerViewModel"
            type="com.datarecovery.master.module.customerservice.CustomerServiceViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/browser_header"
            style="@style/tool_bar_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:navigationIcon="@drawable/icon_back"
            app:navigationOnClickListener="@{()-> customerViewModel.onBackClick()}">

            <TextView
                style="@style/Tool_Bar_Title_Txt"
                android:text="@{customerViewModel.webTitle}"
                tools:text="this is a test title" />
        </androidx.appcompat.widget.Toolbar>

        <WebView
            android:id="@+id/browser_web_view"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/browser_header" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>